Class RSP_ZV2
java.lang.Object
ca.uhn.hl7v2.model.AbstractStructure
ca.uhn.hl7v2.model.AbstractGroup
ca.uhn.hl7v2.model.AbstractMessage
org.openehealth.ipf.modules.hl7.model.AbstractMessage
org.openehealth.ipf.commons.ihe.hl7v2.definitions.pdq.v25.message.RSP_ZV2
- All Implemented Interfaces:
Group,Message,Structure,Visitable,Serializable
Represents a RSP_ZV2 message structure as described
in ITI TF Vol. 2a, pp. 219-220.
1: MSA (Message Acknowledgment)
2: ERR (Error) optional
3: QAK (Query Acknowledgment)
4: QPD (Query Parameter Definition)
5: RSP_ZV2_QUERY_RESPONSE (a Group object) optional repeating
6: DSC (Continuation Pointer) optional
This structure contains the following elements:
0: MSH (Message Header)1: MSA (Message Acknowledgment)
2: ERR (Error) optional
3: QAK (Query Acknowledgment)
4: QPD (Query Parameter Definition)
5: RSP_ZV2_QUERY_RESPONSE (a Group object) optional repeating
6: DSC (Continuation Pointer) optional
- See Also:
-
Nested Class Summary
Nested classes/interfaces inherited from class org.openehealth.ipf.modules.hl7.model.AbstractMessage
AbstractMessage.Cardinality -
Field Summary
Fields inherited from class ca.uhn.hl7v2.model.AbstractStructure
log -
Constructor Summary
ConstructorsConstructorDescriptionRSP_ZV2()Creates a new RSP_ZV2 Group with DefaultModelClassFactory.RSP_ZV2(ModelClassFactory factory) Creates a new RSP_ZV2 Group with custom ModelClassFactory. -
Method Summary
Modifier and TypeMethodDescriptionca.uhn.hl7v2.model.v25.segment.DSCgetDSC()Returns DSC (Continuation Pointer) - creates it if necessaryca.uhn.hl7v2.model.v25.segment.ERRgetERR()Returns ERR (Error) - creates it if necessaryca.uhn.hl7v2.model.v25.segment.MSAgetMSA()Returns MSA (Message Acknowledgment) - creates it if necessaryca.uhn.hl7v2.model.v25.segment.MSHgetMSH()Returns MSH (Message Header) - creates it if necessaryca.uhn.hl7v2.model.v25.segment.QAKgetQAK()Returns QAK (Query Acknowledgment) - creates it if necessarygetQPD()Returns QPD (Query Parameter Definition) - creates it if necessaryReturns first repetition of RSP_ZV2_QUERY_RESPONSE (a Group object) - creates it if necessarygetQUERY_RESPONSE(int rep) Returns a specific repetition of RSP_ZV2_QUERY_RESPONSE (a Group object) - creates it if necessary throws HL7Exception if the repetition requested is more than one greater than the number of existing repetitions.Returns all repetitions of RSP_ZV2_QUERY_RESPONSEintReturns the number of existing repetitions of RSP_ZV2_QUERY_RESPONSEprotected Map<Class<? extends Structure>, AbstractMessage.Cardinality> structures(Map<Class<? extends Structure>, AbstractMessage.Cardinality> s) Methods inherited from class ca.uhn.hl7v2.model.AbstractMessage
accept, copy, encode, fillResponseHeader, generateACK, generateACK, generateACK, getEncodingCharactersValue, getFieldSeparatorValue, getMessage, getParent, getParser, getValidationContext, initQuickstart, parse, printStructure, printStructure, setParser, toStringMethods inherited from class ca.uhn.hl7v2.model.AbstractGroup
add, add, add, addNonstandardSegment, addNonstandardSegment, clear, currentReps, get, get, getAll, getAllAsList, getClass, getFieldNumForName, getModelClassFactory, getName, getNames, getNonStandardNames, getReps, getTyped, getTyped, insert, insert, insertRepetition, insertRepetition, isChoiceElement, isEmpty, isGroup, isRepeating, isRequired, provideLocation, removeRepetition, tryToInstantiateStructure, visitNestedStructuresMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, waitMethods inherited from interface ca.uhn.hl7v2.model.Group
addNonstandardSegment, addNonstandardSegment, get, get, getAll, getClass, getNames, isChoiceElement, isGroup, isRepeating, isRequiredMethods inherited from interface ca.uhn.hl7v2.model.Visitable
isEmpty, provideLocation
-
Constructor Details
-
RSP_ZV2
Creates a new RSP_ZV2 Group with custom ModelClassFactory. -
RSP_ZV2
public RSP_ZV2()Creates a new RSP_ZV2 Group with DefaultModelClassFactory.
-
-
Method Details
-
structures
protected Map<Class<? extends Structure>,AbstractMessage.Cardinality> structures(Map<Class<? extends Structure>, AbstractMessage.Cardinality> s) - Specified by:
structuresin classAbstractMessage
-
getVersion
- Specified by:
getVersionin interfaceMessage- Overrides:
getVersionin classAbstractMessage
-
getMSH
public ca.uhn.hl7v2.model.v25.segment.MSH getMSH()Returns MSH (Message Header) - creates it if necessary -
getMSA
public ca.uhn.hl7v2.model.v25.segment.MSA getMSA()Returns MSA (Message Acknowledgment) - creates it if necessary -
getERR
public ca.uhn.hl7v2.model.v25.segment.ERR getERR()Returns ERR (Error) - creates it if necessary -
getQAK
public ca.uhn.hl7v2.model.v25.segment.QAK getQAK()Returns QAK (Query Acknowledgment) - creates it if necessary -
getQPD
Returns QPD (Query Parameter Definition) - creates it if necessary -
getQUERY_RESPONSE
Returns first repetition of RSP_ZV2_QUERY_RESPONSE (a Group object) - creates it if necessary -
getQUERY_RESPONSE
Returns a specific repetition of RSP_ZV2_QUERY_RESPONSE (a Group object) - creates it if necessary throws HL7Exception if the repetition requested is more than one greater than the number of existing repetitions. -
getQUERY_RESPONSEReps
public int getQUERY_RESPONSEReps()Returns the number of existing repetitions of RSP_ZV2_QUERY_RESPONSE -
getQUERY_RESPONSEAll
Returns all repetitions of RSP_ZV2_QUERY_RESPONSE- Throws:
HL7Exception
-
getDSC
public ca.uhn.hl7v2.model.v25.segment.DSC getDSC()Returns DSC (Continuation Pointer) - creates it if necessary
-